Package org.apache.cayenne.dba.ingres

# Class IngresPkGenerator

java.lang.Object
org.apache.cayenne.dba.JdbcPkGenerator
org.apache.cayenne.dba.oracle.OraclePkGenerator
org.apache.cayenne.dba.ingres.IngresPkGenerator

All Implemented Interfaces:
  `PkGenerator`

public class IngresPkGenerator extends OraclePkGenerator
Ingres-specific sequence based PK generator.

Since:
  1.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.dba.JdbcPkGenerator

  `adapter, DEFAULT_PK_CACHE_SIZE, pkCache, pkCacheSize, pkStartValue`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `IngresPkGenerator()`
  Used by DI
  `protected`
  `IngresPkGenerator(JdbcAdapter adapter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `selectAllSequencesQuery()`
  `protected String`
  `selectNextValQuery(String sequenceName)`

  ### Methods inherited from class org.apache.cayenne.dba.oracle.OraclePkGenerator

  `createAutoPk, createAutoPkStatements, createSequenceString, dropAutoPk, dropAutoPkStatements, dropSequenceString, getExistingSequences, getSequencePrefix, longPkFromDatabase, pkCacheSize, sequenceName`

  ### Methods inherited from class org.apache.cayenne.dba.JdbcPkGenerator

  `autoPkTableExists, dropAutoPkString, generatePk, getAdapter, getPkCacheSize, pkCreateString, pkDeleteString, pkSelectString, pkTableCreateString, pkUpdateString, reset, runUpdate, setAdapter, setPkCacheSize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngresPkGenerator

    public IngresPkGenerator()
    Used by DI
    Since:
      4.1

  - ### IngresPkGenerator

    protected IngresPkGenerator(JdbcAdapter adapter)

- ## Method Details

  - ### selectNextValQuery

    protected String selectNextValQuery(String sequenceName)
    Overrides:
      `selectNextValQuery` in class `OraclePkGenerator`

  - ### selectAllSequencesQuery

    protected String selectAllSequencesQuery()
    Overrides:
      `selectAllSequencesQuery` in class `OraclePkGenerator`